Bug 189563 - umount avc denial
Summary: umount avc denial
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-21 02:52 UTC by Dave Jones
Modified: 2015-01-04 22:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 15:00:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Jones 2006-04-21 02:52:16 UTC
type=AVC msg=audit(1145551774.737:52508): avc:  denied  { write } for  pid=32457
comm="umount" name="mtab" dev=dm-0 ino=17958918
scontext=system_u:system_r:mount_t:s0 tcontext=user_u:object_r:etc_t:s0 tclass=file

Hmm, this may also explain why the automatically-mount-on-insert behaviour of my
usb key went a bit.. strange yesterday.  (Ie, it stopped working).
/proc/mounts and /etc/mtab were out of sync.

Comment 1 Daniel Walsh 2006-04-25 00:42:08 UTC
Also a labeling problem.  restorecon /etc/mtab.  

You might want to run restorecond.  

Latest policy should keep this up /etc/mtab the correct context.

Comment 3 Daniel Walsh 2006-05-05 15:00:36 UTC
Closing as these have been marked as modified, for a while.  Feel free to reopen
if not fixed


Note You need to log in before you can comment on or make changes to this bug.